using System;

namespace _3._Sazvezdja_css
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = Convert.ToInt32(Console.ReadLine());
            int x, y;
            Random rand = new Random();
            Console.WriteLine(n*8);
            for(int i = 0; i < n; i++)
            {
                x = rand.Next(-99999999, 99999999);
                y = rand.Next(-99999999, 99999999);
                Console.WriteLine(x + " " + y + 0);
                Console.WriteLine(x + " " + y + 1);
                Console.WriteLine(x + " " + y + 2);
            }

        }
    }
}